---
title: "chassis"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/chassis/
---

# Chassis API

-   [POST cycle](#post-cycle)
-   [POST off](#post-off)
-   [POST on](#post-on)
-   [GET status](#get-status)
-   [GET stats](#get-stats)
-   [POST whoami](#post-whoami)

## POST cycle

### Summary

Power cycle the disguise server via the IPMI interface.

**Note:** This will not gracefully shut down the OS.

### URL

POST    /api/chassis/power/cycle

### Responses

-   **200:** Success - Ok
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

### Response Body

```json
{
  "message": "ok"
}
```

* * *

## POST off

### Summary

Turn off the disguise server via the IPMI interface.

**Note:** This will not gracefully shut down the OS.

### URL

POST    /api/chassis/power/off

### Responses

-   **200:** Success - Ok
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

### Response Body

```json
{
  "message": "ok"
}
```

* * *

## POST on

### Summary

Turn on the disguise server via the IPMI interface.

### URL

POST    /api/chassis/power/on

### Responses

-   **200:** Success - Ok
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

* * *

## GET status

### Summary

Get the chassis status information via the IPMI interface.

### URL

GET    /api/chassis/power/status

### Responses

-   **200:** Success - Ok
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

### Response Body

```json
{
  "message": "ok"
}
```

* * *

## GET stats

### Summary

Get the current system stats - fan speeds, temps, etc.

### URL

GET    /api/chassis/stats

### Responses

-   **200:** Success - Ok
-   **500:** Check the response body for error details

### Response Body

```json
{
  "System Power": "on",
  "Power Overload": "false",
  "Main Power Fault": "false",
  "Power Control Fault": "false"
}
```

* * *

## POST whoami

### Summary

Blink the OLED screen and rear LED strip to help with server identification.

### URL

POST    /api/chassis/whoami

### Responses

-   **200:** Success - Ok
-   **500:** Check the response body for error details

### Response Body

```json
{
  ""
}
```
